%define mod_version 1.1.15
%define release %mkrel 4

%define apxs /usr/sbin/apxs
%define moduledir %(/usr/sbin/apxs -q LIBEXECDIR)
%define wwwdir /var/www/html
%define mod_name mod_anyterm
%define mod_so %{mod_name}.so
%define mod_conf 94_%{mod_name}.conf

Summary: Anyterm is a web-based terminal emulator
Name: apache-%{mod_name}
Version: %{mod_version}
Release: %{release}
License: GPL
Group: System/Servers
URL: http://anyterm.org
Source0: http://anyterm.org/download/anyterm-%{mod_version}.tbz2
Source11: rssh
Source20: %{mod_conf}.bz2
Source30: %{mod_name}.vhosts.conf.bz2
Patch0: anyterm.html.patched.patch.bz2
Patch1: anyterm.htaccess.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{mod_version}-root

Requires: apache, mod_ssl
BuildRequires: apache-devel
BuildRequires: librote-devel

%description
This is the Anyterm web-based terminal emulator.

%prep
%setup -q -n anyterm-%{mod_version}
%patch0 -p0
%patch1 -p0

%build

cd apachemod
%{__make} APR_CONFIG=apr-1-config \
  APXS2="%{apxs}" \
  ROTE_PRIVATE_DIR="%{rotedir}"
cd ..

cd anygetty
%{__make} \
  CFLAGS="$RPM_OPT_FLAGS"
cd ..

%install
rm -rf $RPM_BUILD_ROOT

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d
install -d %{buildroot}%{_sysconfdir}/httpd/conf/vhosts.d/

bzcat %{SOURCE30} > %{buildroot}%{_sysconfdir}/httpd/conf/vhosts.d/anyterm_vhosts.conf

cd apachemod
%makeinstall \
  APXS2="%{apxs} -S LIBEXECDIR=%{buildroot}%{_libdir}/apache-extramodules"
mv %{buildroot}%{_libdir}/apache-extramodules/anyterm.so %{buildroot}%{_libdir}/apache-extramodules/%{mod_so}
cd ..


%{__mkdir_p} $RPM_BUILD_ROOT%{_bindir}
%{__cp} anygetty/anygetty $RPM_BUILD_ROOT%{_bindir}/anygetty

%{__mkdir_p} $RPM_BUILD_ROOT%{wwwdir}/anyterm
cd browser
/usr/bin/find . \
  ! -name "*~" \
  -print \
| /bin/cpio --quiet -pmd $RPM_BUILD_ROOT%{wwwdir}/anyterm
cd ..

install -m 700 %{SOURCE11} $RPM_BUILD_ROOT%{_bindir}/rssh
bzcat %{SOURCE20} > %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

%post
if [ ! -f %{_sysconfdir}/ssl/apache/anyterm.crt ]; then 
	openssl genrsa 1024 > %{_sysconfdir}/ssl/apache/anyterm.key
	openssl req -new -key %{_sysconfdir}/ssl/apache/anyterm.key -out %{_sysconfdir}/ssl/apache/anyterm.csr -batch
	openssl req -x509 -days 10000 -key %{_sysconfdir}/ssl/apache/anyterm.key -in %{_sysconfdir}/ssl/apache/anyterm.csr -out %{_sysconfdir}/ssl/apache/anyterm.crt
fi
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
        %{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGELOG LICENSE README
%attr(755,root,root) %_bindir/rssh
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/vhosts.d/anyterm_vhosts.conf
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}
%attr(755,root,root) %{_bindir}/anygetty
%{wwwdir}/anyterm
%config(noreplace) %{wwwdir}/anyterm/.htaccess

%changelog
* Sun Jun 18 2006 Pascal Terjan <pterjan@mandriva.org> 1.1.15-4mdv2007.0
- 1.1.15
- fix buildrequires for x86_64
- fix build (use apr-1-config instead of apr-config)
- mkrel

* Thu Sep 29 2005 Antoine Ginies <aginies@n1.mandriva.com> 1.1.5-3mdk
- increase anyterm to 37x140

* Thu Sep 29 2005 Antoine Ginis <aginies@n1.mandriva.com> 1.1.5-2mdk
- fix missing ssl key

* Thu Sep 29 2005 Antoine Ginis <aginies@n1.mandriva.com> 1.1.5-1mdk
- first release for mandriva

* Sun Jun 12 2005 Carl D. Roth <roth@ursus.net> - 
- Initial build.

